Skip to main content
POST
/
api
/
v1
/
members
/
invite
Invite member
curl --request POST \
  --url https://shelfforce.ai/api/v1/members/invite \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "role": "member",
  "phone": "<string>",
  "reportsTo": "<string>",
  "assignedStates": [
    "<string>"
  ],
  "assignedChannels": [
    "<string>"
  ]
}
'
{
  "data": {
    "invitationId": "<string>",
    "email": "<string>",
    "role": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Headers

Idempotency-Key
string

Unique key for idempotent requests. If a request with the same key was already processed within the last 24 hours, the cached response is returned with X-Idempotent-Replayed: true.

Example:

"idk_550e8400-e29b-41d4-a716-446655440000"

Body

application/json
email
string<email>
required
role
enum<string>
required
Available options:
member,
tasker,
admin
phone
string

International phone number (E.164)

reportsTo
string

User ID the invitee reports to

assignedStates
string[]

State/province codes

assignedChannels
string[]

Store channel types

Response

Invitation sent.

data
object